import * as React from "react";
export type OnPressFunction = (e?: React.TouchEvent | React.MouseEvent | React.KeyboardEvent | Event) => void;
export interface PressableOptions {
    behavior?: "button" | "link";
    disabled?: boolean;
    onPress?: OnPressFunction;
    noHover?: boolean;
}
export interface PressableResult {
    hover: boolean;
    bind: {
        onKeyDown: (e: React.KeyboardEvent) => void;
        onKeyUp: (e: React.KeyboardEvent) => void;
        onMouseEnter: (e: React.TouchEvent | React.MouseEvent | React.KeyboardEvent | Event) => void;
        onMouseLeave: (e: React.TouchEvent | React.MouseEvent | React.KeyboardEvent | Event) => void;
        onClick?: ((e: React.MouseEvent<Element, MouseEvent>) => void) | undefined;
        onPointerDown: (e: (React.TouchEvent | React.MouseEvent | React.KeyboardEvent | Event)) => void;
        onPointerOut: (e: (React.TouchEvent | React.MouseEvent | React.KeyboardEvent | Event)) => void;
    };
    active: boolean;
}
/**表示某一个小div区域可以按下点击 触发函数。 返回bind? 同一个名字onXXX()可能冲突;
 * 点按 不是拖拽拉动的，相对位置是静止的，按住时间长短？才算，立刻反馈被您点到了。
 * Hook：原版乃是touchable-hook这个包的。
 触摸屏和配置鼠标设备的浏览器下：可能有差异。
 */
export declare function usePressable({ onPress, behavior, disabled, noHover, }: PressableOptions): PressableResult;
